#!/bin/sh
# Everest Linux 1.0.0-busybox - Stage 4 Installation Script
# This program is free software: See the GNU GPL v3.0 for details

printf "[ i ] Starting stage 4 installation...\n"
	sleep 2

printf "[ i ] Downloading necessary packages...\n"
	mkdir ${EVEREST}/tempfiles
	cd ${EVEREST}/tempfiles
	export EVEREST_DOWNLOAD="wget --quiet --show-progress"
	$EVEREST_DOWNLOAD http://www.red-bean.com/~bos/netplug/netplug-1.2.9.2.tar.bz2
	$EVEREST_DOWNLOAD http://matt.ucc.asn.au/dropbear/releases/dropbear-2013.60.tar.bz2
	$EVEREST_DOWNLOAD http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/wireless_tools.29.tar.gz
	$EVEREST_DOWNLOAD http://downloads.sourceforge.net/libpng/zlib-1.2.8.tar.gz

printf "[ i ] Downloading necessary patches...\n"
	$EVEREST_DOWNLOAD http://patches.clfs.org/embedded-dev/netplug-1.2.9.2-fixes-1.patch
	mv * ${EVEREST}/sources
	cd ${EVEREST}/sources

printf "[ i ] Starting build of >>> Zlib-1.2.8 <<<\n"
	tar -xvf zlib-1.2.8.tar.gz
	cd zlib-1.2.8
	CFLAGS="-Os" ./configure --shared
	make
	make prefix=${EVEREST}/cross-tools/${EVEREST_TARGET} install
	cp -v ${EVEREST}/cross-tools/${EVEREST_TARGET}/lib/libz.so.1.2.8 ${EVEREST}/targetfs/lib/
	ln -sv libz.so.1.2.8 ${EVEREST}/targetfs/lib/libz.so.1
	cd ..
printf "[ i ] Finished build of >>> Zlib-1.2.8 <<<\n"
	sleep 3

printf "[ i ] Starting build of >>> Netplug-1.2.9.2 <<<\n"
	tar -xvf netplug-1.2.9.2.tar.bz2
	cd netplug-1.2.9.2
	patch -Np1 -i ../netplug-1.2.9.2-fixes-1.patch
	make
	make DESTDIR=${EVEREST}/targetfs install
	cd ${EVEREST}/sources/bootscripts-embedded-master
	make install-netplug DESTDIR=${EVEREST}/targetfs
	cd ${EVEREST}/sources
printf "[ i ] Finished build of >>> Netplug-1.2.9.2 <<<\n"
	sleep 3

printf "[ i ] Starting build of >>> Dropbear-2013.60 <<<\n"
	tar -xvf dropbear-2013.60.tar.bz2
	cd dropbear-2013.60
	sed -i 's/.*mandir.*//g' Makefile.in
	CC="${CC} -Os" ./configure --prefix=/usr --host=${EVEREST_TARGET}
	make MULTI=1 \
		PROGRAMS="dropbear dbclient dropbearkey dropbearconvert scp"
	make MULTI=1 \
		PROGRAMS="dropbear dbclient dropbearkey dropbearconvert scp" \
		install DESTDIR=${EVEREST}/targetfs
	install -dv ${EVEREST}/targetfs/etc/dropbear
	cd ${EVEREST}/sources/bootscripts-embedded-master
	make install-dropbear DESTDIR=${EVEREST}/targetfs
	cd ${EVEREST}/sources
printf "[ i ] Finished build of >>> Dropbear-2013.60 <<<\n"
	sleep 3

printf "[ i ] Starting build of >>> Wireless-tools.29 <<<\n"
	tar -xvf wireless_tools.29.tar.gz
	cd wireless_tools.29
	sed -i s/gcc/\$\{CLFS\_TARGET\}\-gcc/g Makefile
	sed -i s/\ ar/\ \$\{CLFS\_TARGET\}\-ar/g Makefile
	sed -i s/ranlib/\$\{CLFS\_TARGET\}\-ranlib/g Makefile
	make PREFIX=${EVEREST}/targetfs/usr
	make install PREFIX=${EVEREST}/targetfs/usr
printf "[ i ] FInished build of >>> Wireless-tools.29 <<<\n"
	sleep 3

mv ~/everest-install/scripts/pkginfo/everest-base-extras-pkginfo.json ${EVEREST}/targetfs/etc/glacier/pkginfo

printf "[ i ] The stage 4 installation script has finished. The stage 5 installation script can now be executed.\n"
	exit 0
