#!/bin/sh
# Everest Linux 1.0.0-busybox - Stage 5 Installation Script
# This program is free software: See the GNU GPL v3.0 for details

printf "[ i ] NOTICE - This script must be run as root. Run the following command after loggin in as root:\n"
printf "	echo ${EVEREST}\n"
printf "And ensure the output points to /mnt/everest.\n"
	sleep 5

printf "[ i ] Moving final pkginfo files to the correct location...\n"
	cd /home/everest/everest-install/scripts/pkginfo
	mv everest-base-pkginfo.json ${EVEREST}/targetfs/etc/glacier/pkginfo 
printf "[ i ] Changing ownership of system...\n"
	chown -Rv root:root ${EVEREST}/targetfs
	chgrp -v 13 ${EVEREST}/targetfs/var/log/lastlog

printf "[ i ] Creating tarball...\n"
	install -dv ${EVEREST}/build
	cd ${EVEREST}/targetfs
	tar jcfv ${EVEREST}/build/everestlinux-1.0.0-busybox.tar.bz2 *

printf "[ i ] Everest Linux has finished building. A tarball of the build is available at /mnt/everest/build.\n"

printf "[ \xE2\x9C\x93 ] Everest Linux has been installed sucessfully. Thank you for choosing Everest!\n"
	exit 0
